
From: Brian Gerst <bgerst@didntduck.org>

Cleans up some leftovers from the old module loader:

- Remove unused defines from modules.h

- Remove unused file modsetver.h



---

 /dev/null                   |   10 ----------
 include/asm-arm26/module.h  |    5 -----
 include/asm-h8300/module.h  |    5 -----
 include/asm-parisc/module.h |    5 -----
 4 files changed, 25 deletions(-)

diff -puN include/asm-arm26/module.h~module-headers-cleanup include/asm-arm26/module.h
--- 25/include/asm-arm26/module.h~module-headers-cleanup	2004-02-12 18:51:40.000000000 -0800
+++ 25-akpm/include/asm-arm26/module.h	2004-02-12 18:51:40.000000000 -0800
@@ -4,9 +4,4 @@
  * This file contains the arm architecture specific module code.
  */
 
-#define module_map(x)		vmalloc(x)
-#define module_unmap(x)		vfree(x)
-#define module_arch_init(x)	(0)
-#define arch_init_modules(x)	do { } while (0)
-
 #endif /* _ASM_ARM_MODULE_H */
diff -puN include/asm-h8300/module.h~module-headers-cleanup include/asm-h8300/module.h
--- 25/include/asm-h8300/module.h~module-headers-cleanup	2004-02-12 18:51:40.000000000 -0800
+++ 25-akpm/include/asm-h8300/module.h	2004-02-12 18:51:40.000000000 -0800
@@ -4,9 +4,4 @@
  * This file contains the H8/300 architecture specific module code.
  */
 
-#define module_map(x)		vmalloc(x)
-#define module_unmap(x)		vfree(x)
-#define module_arch_init(x)	(0)
-#define arch_init_modules(x)	do { } while (0)
-
 #endif /* _ASM_H8/300_MODULE_H */
diff -puN include/asm-parisc/module.h~module-headers-cleanup include/asm-parisc/module.h
--- 25/include/asm-parisc/module.h~module-headers-cleanup	2004-02-12 18:51:40.000000000 -0800
+++ 25-akpm/include/asm-parisc/module.h	2004-02-12 18:51:40.000000000 -0800
@@ -17,11 +17,6 @@
 #define Elf_Rela Elf32_Rela
 #endif
 
-#define module_map(x)		vmalloc(x)
-#define module_unmap(x)		vfree(x)
-#define module_arch_init(x)	(0)
-#define arch_init_modules(x)	do { } while (0)
-
 struct mod_arch_specific
 {
 	unsigned long got_offset, got_count, got_max;
diff -puN -L include/linux/modsetver.h include/linux/modsetver.h~module-headers-cleanup /dev/null
--- 25/include/linux/modsetver.h
+++ /dev/null	2002-08-30 16:31:37.000000000 -0700
@@ -1,10 +0,0 @@
-/* Symbol versioning nastiness.  */
-
-#define __SYMBOL_VERSION(x)       __ver_ ## x
-#define __VERSIONED_SYMBOL2(x,v)  x ## _R ## v
-#define __VERSIONED_SYMBOL1(x,v)  __VERSIONED_SYMBOL2(x,v)
-#define __VERSIONED_SYMBOL(x)     __VERSIONED_SYMBOL1(x,__SYMBOL_VERSION(x))
-
-#ifndef _set_ver
-#define _set_ver(x)		  __VERSIONED_SYMBOL(x)
-#endif

_
